## org.biojava.bio.search
Class FilterTest.MatchRegex

    java.lang.Object
      org.biojava.bio.search.FilterTest.MatchRegex

Enclosing interface:
  FilterTest

    public static class FilterTest.MatchRegex

extends java.lang.Object

Tests that the value associated with the specified key is matched in its entirety by the supplied regex. A value of false is returned by accept() if a ClassCastException is thrown on comparing the objects.

Constructor Summary
`FilterTest.MatchRegex(java.lang.String regex)`

Method Summary
`boolean` `accept(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterTest.MatchRegex

    public FilterTest.MatchRegex(java.lang.String regex)
                          throws java.util.regex.PatternSyntaxException

Throws:
  `java.util.regex.PatternSyntaxException`

Method Detail

### accept

    public boolean accept(java.lang.Object value)